function value=GPIB_get_bias(varargin)
	// Ex : GPIB_get_bias(id,typ,unit[,chan])
	if size(varargin)<3 then disp("Use : GPIB_get_bias(id,typ,unit[,channels]);"); abort; end;
	id=varargin(1);
	typ=varargin(2);
	unit=varargin(3);
	GPIB_cmd=[	"MEAS:VOLT?"	,	"MEAS:CURR?"	;		
			"VOUT?"		,	"IOUT?"		;
			"VSET?"		,	"ISET?"		;
			" "		,	" "		];
	value=[];
	select typ,
		case 1 then
			GPIB_write(id,GPIB_cmd(1,unit));
			value=evstr(GPIB_read(id,1,30));
		
		case 2 then
			if size(varargin)==3 then channel=1; else channel=varargin(4); end;
			for ch=channel,
				GPIB_write(id,"CHAN "+string(ch));
				GPIB_pause(2);
				GPIB_write(id,GPIB_cmd(1,unit));
				value=[value , evstr(GPIB_read(id,1,30))];
			end;
		
		case 3 then
			GPIB_write(id,GPIB_cmd(2,unit));
			value=GPIB_read(id,1,30);
			kdf=tokenpos(value);
			value=part(value,kdf(2,1):kdf(2,2));
			value=evstr(value);
		
		case 4 then
			if size(varargin)==3 then channel=0; else channel=varargin(4); end;
			for ch=channel,
				GPIB_write_sub(id,ch,GPIB_cmd(1,unit));
				value=[value , evstr(GPIB_read_sub(id,ch,1,30))];
			end;
		
		case 5 then
			rep=GPIB_read(id,1,30);
			if rep~=[] then,
				value=evstr(part(rep,[5:length(rep)]));
			end;
		
		case 6 then
			GPIB_write(id,"b9");
			GPIB_pause(1);
			value=evstr(GPIB_read(id,1,30));	
		
		case 7 then
			GPIB_write(id,GPIB_cmd(2,unit));
			value=GPIB_read(id,1,30);
			value=evstr(part(value,[6:length(value)]));
			
		
		
			
	end;
endfunction
